<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServiceConfirmModifyResponse StructType
 * @subpackage Structs
 */
class ServiceConfirmModifyResponse extends AbstractStructBase
{
    /**
     * The ConfirmModifyRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_BookingRS
     */
    public $ConfirmModifyRS;
    /**
     * Constructor method for ServiceConfirmModifyResponse
     * @uses ServiceConfirmModifyResponse::setConfirmModifyRS()
     * @param \StructType\JP_BookingRS $confirmModifyRS
     */
    public function __construct(\StructType\JP_BookingRS $confirmModifyRS = null)
    {
        $this
            ->setConfirmModifyRS($confirmModifyRS);
    }
    /**
     * Get ConfirmModifyRS value
     * @return \StructType\JP_BookingRS|null
     */
    public function getConfirmModifyRS()
    {
        return $this->ConfirmModifyRS;
    }
    /**
     * Set ConfirmModifyRS value
     * @param \StructType\JP_BookingRS $confirmModifyRS
     * @return \StructType\ServiceConfirmModifyResponse
     */
    public function setConfirmModifyRS(\StructType\JP_BookingRS $confirmModifyRS = null)
    {
        $this->ConfirmModifyRS = $confirmModifyRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ServiceConfirmModifyResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
